V2.0
get
/ec-dataaction-svc/rest/v2.0/studies/{studyId}/{mode}/signconfiguration
Fetches all signature configuration details. V2 includes CASEBOOK-level signatureRequired.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.
-
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success. Array of SignatureConfigurationDTO2 objects.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SignatureConfigurationDTO2
V2 signature configuration payload with CASEBOOK-level signatureRequired support.
Nested Schema : SignatureConfigurationDTO2
Type:
objectV2 signature configuration payload with CASEBOOK-level signatureRequired support.
Show Source
-
affidavitCodeValue: string
Minimum Length:
0Maximum Length:4000Affidavit code for the configuration.Example:Electronic Signature Affidavit -
comment: string
Minimum Length:
0Maximum Length:2048Additional comments about this signature configuration.Example:Added new signature step for visit. -
configName: string
Minimum Length:
0Maximum Length:4000A user-friendly name for the signature configuration, used to distinguish it from other configurations.Example:Final Visit Sign Config -
emailReminder: string
Minimum Length:
0Maximum Length:1Indicator to send email reminder ('Y' or 'N').Example:N -
id: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) for the signature configuration in UUID format.Example:
AABBCCDDEEFF00112233445566778899 -
objectVersionNumber: number
(int32)
Audit trail field that represents the version number of the data.Example:
1 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
CREATED -
reason: string
Minimum Length:
0Maximum Length:255Reason for the configuration or operation.Example:Other. -
requiredBy: array
requiredBy
Minimum Number of Items:
0Maximum Number of Items:4000List of user IDs (UUID, 32-character uppercase hexadecimal string) required to sign. -
requiredOn: string
Minimum Length:
0Maximum Length:16Allowed Values:[ "CASEBOOK", "VISIT", "FORM" ]Level at which signature is required.Example:FORM -
requiredOnForms: array
requiredOnForms
Minimum Number of Items:
0Maximum Number of Items:4000List of form IDs(UUID, 32-character uppercase hexadecimal string) required to sign. -
requiredOnVisits: array
requiredOnVisits
Minimum Number of Items:
0Maximum Number of Items:4000List of visit IDs(UUID, 32-character uppercase hexadecimal string) required to sign. -
signatureRequired: string
Minimum Length:
0Maximum Length:1CASEBOOK-only indicator whether signature is required for the configuration ('Y' or 'N'). Null for FORM and VISIT configurations.Example:Y -
softwareVersionNumber: number
(int32)
Software version numberExample:
1 -
targetAfter: string
Minimum Length:
0Maximum Length:16Allowed Values:[ "COMPLETION", "START" ]Event after which the target is considered achieved.Example:COMPLETION -
targetDate: integer
(int64)
Target date for signature as integer.Example:
2 -
targetSet: string
Minimum Length:
0Maximum Length:1Indicator if target is set ('Y' or 'N').Example:Y -
triggerQuestion: string
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the trigger question for conditional rules.Example:
55AA44BB33CC22DD11EEFF0011223344 -
userId: string
User ID(UUID, 32-character uppercase hexadecimal string) that performed the operation in UUID format.Example:
00112233445566778899AABBCCDDEEFF -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
2023-12-31T23:59:59Z -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2023-01-01T00:00:00Z
Nested Schema : requiredBy
Type:
arrayMinimum Number of Items:
0Maximum Number of Items:
4000List of user IDs (UUID, 32-character uppercase hexadecimal string) required to sign.
Show Source
-
Array of:
string(uuid)
List of user IDs (UUID, 32-character uppercase hexadecimal string) required to sign.
Example:
[
"DDEEFF00112233445566778899AABBCC"
]Nested Schema : requiredOnForms
Type:
arrayMinimum Number of Items:
0Maximum Number of Items:
4000List of form IDs(UUID, 32-character uppercase hexadecimal string) required to sign.
Show Source
-
Array of:
string(uuid)
List of form IDs(UUID, 32-character uppercase hexadecimal string) required to sign.
Example:
[
"A1B2C3D4E5F607182736454647484950"
]Nested Schema : requiredOnVisits
Type:
arrayMinimum Number of Items:
0Maximum Number of Items:
4000List of visit IDs(UUID, 32-character uppercase hexadecimal string) required to sign.
Show Source
-
Array of:
string(uuid)
List of visit IDs(UUID, 32-character uppercase hexadecimal string) required to sign.
Example:
[
"5A6B7C8D9E0F10293847560123456789"
]400 Response
Invalid input or request parameters.